Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
attack-protection
/
captcha
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.AttackProtection.Captcha.GetAsync();
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.attackProtection().captcha().get();
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
token: '<token>',
);
$client->attackProtection->captcha->get();
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.attack_protection.captcha.get()
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.attack_protection.captcha.get
curl --request GET \
--url https://{tenantDomain}/api/v2/attack-protection/captcha \
--header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/attack-protection/captcha', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{tenantDomain}/api/v2/attack-protection/captcha"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "active_provider_id": "<string>",
  "arkose": {
    "site_key": "<string>",
    "fail_open": true,
    "client_subdomain": "<string>",
    "verify_subdomain": "<string>"
  },
  "auth_challenge": {
    "fail_open": true
  },
  "hcaptcha": {
    "site_key": "<string>"
  },
  "friendly_captcha": {
    "site_key": "<string>"
  },
  "recaptcha_enterprise": {
    "site_key": "<string>",
    "project_id": "<string>"
  },
  "recaptcha_v2": {
    "site_key": "<string>"
  },
  "simple_captcha": {}
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Réponse

Captcha configuration successfully retrieved.

active_provider_id
string
arkose
object
auth_challenge
object
hcaptcha
object
friendly_captcha
object
recaptcha_enterprise
object
recaptcha_v2
object
simple_captcha
object